com.amazonaws.services.elastictranscoder.model

## Class ListPipelinesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.ListPipelinesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListPipelinesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `ListPipelineRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListPipelinesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListPipelinesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getAscending()` To list pipelines in chronological order by the date and time that they were created, enter `true`.
`String` `getPageToken()` When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.
`int` `hashCode()`
`void` `setAscending(String ascending)` To list pipelines in chronological order by the date and time that they were created, enter `true`.
`void` `setPageToken(String pageToken)` When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListPipelinesRequest` `withAscending(String ascending)` To list pipelines in chronological order by the date and time that they were created, enter `true`.
`ListPipelinesRequest` `withPageToken(String pageToken)` When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListPipelinesRequest

    public ListPipelinesRequest()

### Method Detail

#### setAscending

    public void setAscending(String ascending)

To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.

Parameters:
  `ascending` - To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.

#### getAscending

    public String getAscending()

To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.

Returns:
  To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.

#### withAscending

    public ListPipelinesRequest withAscending(String ascending)

To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.

Parameters:
  `ascending` - To list pipelines in chronological order by the date and time that they were created, enter `true`. To list pipelines in reverse chronological order, enter `false`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPageToken

    public void setPageToken(String pageToken)

When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

Parameters:
  `pageToken` - When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

#### getPageToken

    public String getPageToken()

When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

Returns:
  When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

#### withPageToken

    public ListPipelinesRequest withPageToken(String pageToken)

When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.

Parameters:
  `pageToken` - When Elastic Transcoder returns more than one page of results, use `pageToken` in subsequent `GET` requests to get each successive page of results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListPipelinesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`